# Copyright 2005-2024 Canonical Limited. All rights reserved.

from zope.interface import implementer

from canonical.security.protect import requires, requires_advisor

from canonical.landscape.model.hardware.interfaces import IHardwareInventory


__all__ = ["HardwareInventory"]

__clearlist__ = ["HardwareInventory"]

__requires_prefix__ = "landscape."


@requires_advisor
@implementer(IHardwareInventory)
class HardwareInventory:
    def __init__(self, selection):
        self.selection = selection

    @requires("ViewComputer")
    def url(self, request) -> str:
        """Generates the canonical URL for the hardware inventory."""
        return f"{self.selection.url(request)}/hardware"
