# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add get_load_average() to resource database."""


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
CREATE FUNCTION get_load_average() RETURNS FLOAT AS
$$
    import os
    return os.getloadavg()[0]
$$
LANGUAGE plpythonu
""",
    """
GRANT EXECUTE
    ON FUNCTION get_load_average() TO landscape, landscape_maintenance
""",
]
