# Copyright 2005-2023 Canonical Ltd. ALl rights reserved.

from . import __doc__


STATEMENTS = [
    "ALTER TABLE activity_ordering RENAME COLUMN preceeding_activity_id TO preceding_activity_id",
    "ALTER TABLE activity_ordering ADD COLUMN require_success BOOLEAN NOT NULL DEFAULT TRUE",
]

REVERSE_STATEMENTS = [
    "ALTER TABLE activity_ordering RENAME COLUMN preceding_activity_id TO preceeding_activity_id",
    "ALTER TABLE activity_ordering DROP COLUMN require_success",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")

    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
