# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__


STATEMENTS = [
    "ALTER TABLE computer ADD COLUMN secrets_name TEXT",
    "CREATE INDEX secrets_name_idx ON computer (secrets_name)",
]

REVERSE_STATEMENTS = [
    "DROP INDEX secrets_name_idx",
    "ALTER TABLE computer DROP COLUMN secrets_name",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")

    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
