# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """ALTER TABLE pocket
ADD COLUMN IF NOT EXISTS last_sync_time timestamp without time zone,
ADD COLUMN IF NOT EXISTS last_sync_status text,
ADD COLUMN IF NOT EXISTS last_sync_status_message text
""",
]

REVERSE_STATEMENTS = [
    """ALTER TABLE pocket
DROP COLUMN IF EXISTS last_sync_time,
DROP COLUMN IF EXISTS last_sync_status,
DROP COLUMN IF EXISTS last_sync_status_message
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
