# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """ALTER TABLE account
ADD COLUMN IF NOT EXISTS auto_register_new_computers boolean DEFAULT TRUE
""",
]

REVERSE_STATEMENTS = [
    """ALTER TABLE account
DROP COLUMN IF EXISTS auto_register_new_computers
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
