from . import __doc__

STATEMENTS = [
    "ALTER TABLE computer ADD COLUMN IF NOT EXISTS default_child_instance TEXT",
]

REVERSE_STATEMENTS = [
    """
ALTER TABLE computer
    DROP COLUMN IF EXISTS default_child_instance
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
