import logging
import subprocess

from canonical.landscape.grpc import HOSTAGENT_API_DIR


def run():
    logger = logging.getLogger("hostagent-api")
    PYTHON = "/usr/bin/python3"

    # We don't expect to have grpcio tools installed on focal.
    # Once we remove focal from our CI process, we can consider
    # removing the try/except.
    try:
        subprocess.run(
            [
                PYTHON,
                "-m",
                "grpc_tools.protoc",
                f"-I{HOSTAGENT_API_DIR}",
                f"--python_out={HOSTAGENT_API_DIR}",
                f"--pyi_out={HOSTAGENT_API_DIR}",
                f"--grpc_python_out={HOSTAGENT_API_DIR}",
                "--experimental_allow_proto3_optional",
                f"{HOSTAGENT_API_DIR}/hostagent.proto",
            ],
            check=True,
        )
        logger.info("Built hostagent_api stubs.")
    except subprocess.CalledProcessError:
        logger.warning("Unable to build hostagent_api stubs.")


if __name__ == "__main__":
    run()
